@font-face {
  font-family: "Playfair";
  src: url("../fonts/PlayfairDisplay.ttf");
}
html {
  overflow-x: hidden;
  overscroll-behavior: none;
}
* {
  margin: 0;
  padding: 0;
  text-decoration: none;
  color: black;
  box-sizing: border-box;
  -webkit-tap-highlight-color: transparent;
  outline: none;
}

body {
  font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif, serif;
  background-color: #f9fafc;
  overflow-x: hidden;
  transition: opacity 0.5s ease-in-out;
}

.header {
  width: 100%;
  height: 80px;
  border-bottom: 1px solid #ddd;
  display: flex;
  justify-content: center;
  align-items: center;
  background: white;
  box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.05);
}

.container {
  max-width: 1440px;
  display: flex;
  height: 100%;
  width: 100%;
  justify-content: space-between;
  align-items: center;
  padding: 0 20px;
}

.logo {
  font-size: 25px;
  text-transform: uppercase;
  font-weight: normal;
  color: black;
  font-family: 'Playfair';
  font-weight: 400;
  cursor: pointer;
}

.menu {
  display: flex;
  gap: 50px;
}

.menu-link {
  font-size: 18px;
  font-weight: 300;
  transition: color 0.3s ease;
  position: relative;
}

.menu-link:hover::before {
  left: 0;
  right: 0;
  transition: right 0.4s;
}

.menu-link::before {
  background: rgb(0, 0, 0, 0.702);
  bottom: 0;
  height: 1px;
  content: "";
  left: 100%;
  right: 100%;
  transition: right 0s 0.4s, left 0.4s;
  position: absolute;
}

.icons-menu {
  display: flex;
  gap: 16px;
}

.icon-link img {
  width: 24px;
  height: 24px;
  transition: transform 0.3s ease;
}

.icon-link:hover img {
  transform: scale(1.1);
}

.menu-mobile {
  display: none;
  flex-direction: column;
  position: absolute;
  z-index: 2;
  top: 80px;
  left: 0;
  width: 100%;
  background-color: rgba(255, 255, 255, 0.981);
  padding: 20px;
  box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.1);
}

.menu-mobile.active {
  display: flex;
}

.menu-mobile-link {
  font-size: 18px;
  font-weight: 300;
  padding: 10px 0;
  text-align: center;
  display: block;
}

.burger {
  display: none;
  flex-direction: column;
  cursor: pointer;
  gap: 5px;
}

.burger div {
  width: 30px;
  height: 3px;
  background-color: black;
  transition: 0.3s ease;
}

.burger.active div:nth-child(1) {
  transform: translateY(8px) rotate(45deg);
}
.burger.active div:nth-child(2) {
  opacity: 0;
}
.burger.active div:nth-child(3) {
  transform: translateY(-8px) rotate(-45deg);
}

/* ----- АДАПТАЦИЯ ДЛЯ МОБИЛЬНЫХ УСТРОЙСТВ ----- */
@media (max-width: 1024px) {
  .menu {
    gap: 30px;
  }
}

@media (max-width: 768px) {
  .menu {
    display: none;
    flex-direction: column;
    position: absolute;
    top: 80px;
    left: 0;
    width: 100%;
    background-color: rgba(255, 255, 255, 0.981);
    padding: 20px;
    box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.1);
  }

  .menu.active {
    display: flex;
  }

  .burger {
    display: flex;
  }

  .icons-menu {
    display: none;
  }
}

/* Стилизация баннера */
.banner {
  width: 100%;
  background: url(../images/banner.png) no-repeat center center / cover;
  height: 85vh;
  display: flex;
  justify-content: center;
  align-items: center;
}
.banner-container {
  max-width: 1440px;
  width: 100%;
  height: max-content;
  padding: 0 20px;
  margin-top: 200px;
}
.banner-title {
  font-size: 43px;
  color: #fff;
  max-width: 451px;
  width: 100%;
  margin-bottom: 30px;
  font-weight: 700;
}
.banner-text {
  font-size: 25px;
  color: #fff;
  font-weight: normal;
  max-width: 310px;
  width: 100%;
  margin-bottom: 20px;
}
.banner-btn {
  padding: 8px 38px;
  background-color: #fff;
  color: #000;
  border-radius: 5px;
  font-weight: bold;
  font-size: 30px;
  transition: 0.3s ease-in-out;
  margin-bottom: 20px;
}
.banner-btn:hover {
  background-color: transparent;
  outline: 1px solid #fff;
  color: #fff;
}

/* Стилизация блока категорий */
.categories {
  width: 100%;
  height: max-content;
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top: 80px;
  margin-bottom: 80px;
}
.categories-container {
  max-width: 1440px;
  width: 100%;
  height: max-content;
  padding: 0 20px;
}
.categories-title {
  font-size: 30px;
  margin-bottom: 60px;
}
.product-card {
  position: relative;
  max-width: 400px;
  width: 100%;
  height: 500px;
  overflow: hidden;
  border-radius: 10px;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
  display: block;
  text-decoration: none;
  transition: transform 0.3s ease, box-shadow 0.3s ease;
}

.product-card:hover {
  box-shadow: 0 6px 15px rgba(0, 0, 0, 0.3);
}

.image-container {
  position: relative;
  width: 100%;
  height: 100%;
}

.image-container img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  position: absolute;
  top: 0;
  left: 0;
  transition: opacity 0.5s ease;
}

.default-image {
  opacity: 1;
}

.hover-image {
  opacity: 0;
}

.product-card:hover .default-image {
  opacity: 0;
}

.product-card:hover .hover-image {
  opacity: 1;
}

.overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.624);
  transition: background-color 0.3s ease;
}

.product-card:hover .overlay {
  background-color: rgba(0, 0, 0, 0.735);
}

.product-name {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  color: white;
  font-size: 30px;
  font-weight: bold;
  text-align: center;
  width: 100%;
  background-color: #000;
}

.card-container {
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-wrap: wrap;
  height: max-content;
}

@media (max-width: 1300px) {
  .card-container {
    display: flex;
    justify-content: center;
    gap: 50px;
  }
}

/* Стилизация блока новые поступления */
.arrivals {
  width: 100%;
  height: max-content;
  display: flex;
  justify-content: center;
  align-items: center;
  margin-bottom: 80px;
}
.arrivals-container {
  max-width: 1440px;
  width: 100%;
  height: max-content;
  padding: 0 20px;
}
.arrivals-title {
  font-size: 30px;
  margin-bottom: 60px;
}
.cards-container {
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-wrap: wrap;
  height: max-content;
}
.arrivals-card {
  max-width: 400px;
  width: 100%;
  height: 590px;
  border-radius: 10px;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  position: relative;
  overflow: hidden;
}

.image-slider {
  position: relative;
  width: 100%;
  height: 70%;
}
.card-image {
  position: absolute;
  width: 100%;
  height: 100%;
  object-fit: cover;
  opacity: 0;
  transition: opacity 0.3s ease-in-out;
  border-radius: 10px;
}
.card-image.active {
  opacity: 1;
}
.card-txt-price {
  display: flex;
  justify-content: center;
  align-items: start;
  flex-direction: column;
  gap: 10px;
  width: 100%;
  height: auto;
  margin-bottom: 10px;
}
.card-title {
  font-size: 20px;
  margin-top: 20px;
}
.card-price {
  color: #636363;
  margin-bottom: 10px;
  font-size: 20px;
}
#cartButton {
  background-color: #000;
  outline: none;
  color: #fff;
  border: none;
  border-radius: 5px;
  width: 100%;
  height: 36px;
  font-size: 20px;
  transition: 0.3s ease-in-out;
}
#cartButton:hover {
  border: 1px solid #000;
  color: #000;
  background-color: transparent;
  cursor: pointer;
}

@media (max-width: 1300px) {
  .cards-container {
    display: flex;
    justify-content: center;
    gap: 50px;
  }
}

/* Стилизация Секции Why Choose Us */
.why-choose-us {
  width: 100%;
  height: max-content;
  display: flex;
  justify-content: center;
  align-items: center;
  margin-bottom: 80px;
  background-color: #f3f4f6;
  padding: 50px 0;
}
.why-choose-us-container {
  max-width: 1440px;
  width: 100%;
  height: max-content;
  padding: 0 20px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-wrap: wrap;
}

.why-choose-card {
  display: flex;
  justify-content: start;
  align-items: center;
  gap: 20px;
  max-width: 350px;
  width: 100%;
}

.choose-title-text {
  width: max-content;
}
.choose-title,
.choose-text {
  font-size: 20px;
  font-weight: bold;
}

@media (max-width: 1300px) {
  .why-choose-us-container {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 50px;
  }
  .choose-title,
  .choose-text {
    font-size: 16px;
  }
}
@media (max-width: 800px) {
  .why-choose-us {
    display: none;
  }
}

/* Стилизация секции формы подписки */
.sub-form-block {
  width: 100%;
  height: max-content;
  display: flex;
  justify-content: center;
  align-items: center;
  margin-bottom: 80px;
}
.form-container {
  max-width: 1440px;
  width: 100%;
  height: max-content;
  padding: 50px 20px;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}
.form-title {
  color: #fff;
  font-size: 30px;
  font-weight: 700;
  text-align: center;
}
.title-description {
  color: #fff;
  font-size: 20px;
  font-weight: 400;
  text-align: center;
}
.sub-form {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  gap: 10px;
  background-color: #000;
  border-radius: 10px;
  max-width: 1440px;
  width: 100%;
  padding: 50px 0;
}
.input-and-btn {
  display: flex;
  justify-content: center;
  align-items: center;
  width: max-content;
  margin-top: 15px;
}
.email {
  min-width: 400px;
  width: 100%;
  height: 56px;
  font-size: 20px;
  font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
  border-top-left-radius: 10px;
  border-bottom-left-radius: 10px;
  padding-left: 27px;
  outline: none;
  border: none;
}
.sub-btn {
  height: 56px;
  border: none;
  background-color: #fff;
  border-top-right-radius: 10px;
  border-bottom-right-radius: 10px;
  font-size: 20px;
  font-weight: bold;
  border-left: 1px solid #000;
  font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
  padding: 5px 20px;
  cursor: pointer;
}

@media (max-width: 1300px) {
  .input-and-btn {
    flex-direction: column;
    gap: 20px;
  }
  .email {
    min-width: 500px;
    width: 100%;
    border-radius: 10px;
  }
  .sub-btn {
    border-radius: 10px;
    border-left: none;
  }
}
@media (max-width: 600px) {
  .email {
    min-width: 300px;
  }
}

/* Подвал сайта */
.footer {
  background: linear-gradient(90deg, rgb(58, 58, 58), rgb(0, 0, 0) 100%);
  padding: 30px 0;
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}

.footer-container {
  max-width: 1440px;
  display: flex;
  width: 100%;
  justify-content: space-between;
  padding: 0 20px;
  flex-wrap: wrap;
}

.footer-logo,
.fast-links,
.services-links,
.social-links {
  max-width: 270px;
  width: 100%;
}
.footer-logo-head{
  font-family: "Playfair";
}
.footer-logo-head,
.fast-link-head,
.service-link-head,
.social-link-head {
  color: #fff;
  font-size: 22px;
  margin-bottom: 10px;
  font-weight: normal;
}

.footer-logo-slogan,
.fast-link,
.service-link {
  font-size: 18px;
  color: #fff;
  display: block;
  margin-bottom: 5px;
}

.social-icons {
  display: flex;
  gap: 10px;
}

.social-link img {
  width: 24px;
  height: 24px;
  transition: transform 0.3s ease;
}

.social-link:hover img {
  transform: scale(1.1);
}

.footer-bottom {
  width: 100%;
  text-align: center;
  margin-top: 20px;
  font-size: 14px;
  color: #ccc;
  border-top: 1px solid #555;
  padding-top: 10px;
}
.footer-bottom p {
  color: #fff;
}

/* Адаптивные стили */
@media (max-width: 768px) {
  .footer-container {
    text-align: center;
    gap: 20px;
    flex-direction: column;
  }
  .service-link {
    text-align: left;
  }
  .service-link-head {
    text-align: left;
  }
  .footer-logo {
    text-align: left;
  }

  .social-link-head {
    text-align: left;
  }
  .fast-links {
    text-align: left;
  }
}
